Author Topic: NGINX Broke my Apache  (Read 16143 times)

0 Members and 1 Guest are viewing this topic.

Offline
**
NGINX Broke my Apache
« on: April 10, 2015, 02:11:45 PM »
Hello,

After installing NGINX from the CWP it broke the apache. Now every client of mine is seeing the default apache page. Apache rebuild wont working.

CWP admins please provide a solve ASAP.

Re: NGINX Broke my Apache
« Reply #1 on: April 10, 2015, 06:00:21 PM »
Fixed.
« Last Edit: May 03, 2015, 02:25:31 PM by BullTen »

Offline
**
Re: NGINX Broke my Apache
« Reply #2 on: April 11, 2015, 12:53:17 AM »
Thanks bullten your solutions always worked. Really thanks a lot :)

Offline
**
Re: NGINX Broke my Apache
« Reply #3 on: April 11, 2015, 03:27:16 PM »
But still when I enable Varnish and rebuild vhosts I see the default apache page without the website. Is there any solve to this problem without setting apache IP to 127.0.0.1? because it prevents postfix mail incoming and outgoing.

Offline
*
Re: NGINX Broke my Apache
« Reply #4 on: April 16, 2015, 12:49:14 PM »
you need to use varnish multi-IP if you want to use your own or multiple IPs.
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
***
Re: NGINX Broke my Apache
« Reply #5 on: May 05, 2015, 07:03:02 AM »
Fixed.

I like when you say fixed.
I DONT know what is not working on that thread...
8==D it's a function that try to compare 8 (int) against D (string) which returns True or False depending on the asker.

Re: NGINX Broke my Apache
« Reply #6 on: May 07, 2015, 11:49:31 AM »
Few things are secret :)

Offline
**
Re: NGINX Broke my Apache
« Reply #7 on: October 21, 2015, 04:34:05 PM »
Hey bullten please help me again main. Somehow I ran into the same problem when I installed httpd-devel for Installing Mod_Antiloris following your server hardening blog posts. Was configuring my new server but by mistake Installed two apache. 2.4.17 is the main one but the running apache seems to be 2.2.15 when I use httpd -v

The solution was in your post but you removed it with Fixed Quote.

Please help me again man. Am really in a critical situation.

Thanks in advance...

Offline
*
Re: NGINX Broke my Apache
« Reply #8 on: October 21, 2015, 07:21:19 PM »
apache 2.4 still isn't supported so you could have multiple issues if you don't have experience with manual changes in linux
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
**
Re: NGINX Broke my Apache
« Reply #9 on: October 22, 2015, 01:09:13 AM »
Actually I have done upgrading my apache to 2.4 using bullten's blog guide. Re-installation of the whole server would be a huge problem. Please help me here how could I uninstall the extra apache 2.2.15


Thanks in advance...

Re: NGINX Broke my Apache
« Reply #10 on: October 22, 2015, 04:16:07 AM »
Quote
yum -y remove httpd
cd /etc/init.d/
rm -f /etc/init.d/httpd
wget -q http://dl1.centos-webpanel.com/files/s_scripts/httpd
chmod +x /etc/init.d/httpd

Offline
**
Re: NGINX Broke my Apache
« Reply #11 on: October 22, 2015, 04:25:23 AM »
Will this solution restore my previously installed apache 2.4.17 along with suPHP? Or it will restore the apache to the previous CWP apache version?

Offline
**
Re: NGINX Broke my Apache
« Reply #12 on: October 22, 2015, 05:12:06 AM »
Thanks mate that solved the problem and it seems apache 2.4.17 is running in the server. So seems pretty good to me. Your a life savior bullten. Thanks a lot :)